{% macro ListCard(arrayCards, recetteOrGuydemarle, user, arrayRecetteAndPreferenceID) %}

    {% for value in arrayCards %}
        <div class="col-lg-4 col-md-6 col-sm-12 my-3">
            <div class="shadow figure h-100 rounded d-flex flex-column" style="min-height: 240px;">
                <div class="position-relative">
                {% if value.fileName %}
                    <img class="img-fluid rounded-top img" src="{{ vich_uploader_asset(value, 'imageFile') | imagine_filter('thumb')}}">
                {% else %}
                    <img class="img-fluid rounded-top img" src="{{ 'images/empty.jpg' | imagine_filter('thumb') }}">
                {% endif %}
                {# Soit c'est une recette soit un moule le path est changé en fonction #}
                {% if recetteOrGuydemarle == "recette" %}
                    {% set idRecette = value.id %}
                    <div class="cacher h-100 w-100">
                        <div class="w-100 text-right p-1 pr-2">
                            <span class="font-weight-bold text-danger h1">
                            {# Mise en place du coeur si connecté et rempli si ajouté aux préférences, sinon mettre un coeur vide sinon ne rien mettre #}
                                {% if app.user %}
                                
                                    {% if idRecette in arrayRecetteAndPreferenceID|keys %}
                                        {{ include('preference/_delete_form.html.twig') }}    
                                    {% else %}
                                        <a href="{{ path('preference_add', {'id': idRecette}) }}" class="h1 m-0 text-danger">
                                            <i class="far fa-heart"></i>
                                        </a>
                                    {% endif %}
                                    
                                {% endif %}
                            </span>
                        </div>
                        <a href="{{ path('recette_show', {'id': idRecette} )}}" class="h-100 w-100"> 
                        </a>
                        <div class="w-100 d-flex align-items-center justify-content-center h3 px-2">
                            <ol class="list-unstyled d-flex justify-content-around mb-0">
                                {% for i in 1..5 %}
                                    {% if value.grade >= i %}
                                        <li><i class="fas fa-star" style="color: #fff907;"></i></li>
                                    {% else %}
                                        <li><i class="far fa-star" style="color: #fff907;"></i></li>
                                    {% endif %}
                                {% endfor %}
                            </ol>
                        </div>
                    </div>
                {% else %}
                    <div class="cacher">
                        <a href="{{ path('guydemarle_show', {'id': value.id} )}}" class="h-100 w-100"> 
                        </a>
                    </div>
                {% endif %}
                </div>
                
                    <div class="py-2 px-3 rounded-bottom flex-fill contraste d-flex align-items-center justify-content-center">
                        <a class="text-dark" href="{% if recetteOrGuydemarle == "recette" %} 
                                                        {{ path('recette_show', {'id': value.id} )}} 
                                                    {% else %}
                                                        {{ path('guydemarle_show', {'id': value.id} )}}  
                                                    {% endif %}" > 
                            <div class="text-center">
                                <h4 class="mb-0">{{ value.name }}</h4> 
                            </div>
                        </a>
                    </div>
                
            </div> 
        </div>

    {% endfor %}

{% endmacro %}